package cz.uhk.fim.smarttodo.common;

import java.util.Locale;

public final class Constant {

    public static final Object[] EMPTY_ARRAY = {};
    public static final Locale CZECH_LOCALE = new Locale("cs");

    /**
     * Authorization End point
     */
    public static final String AUTH_LOGIN_URL = "/user/login";
    public static final String JWT_SECRET = "xwA6uICoxPw6Ys2DJ/7JlAMz/8wY+/mVCBYs6w==u/feAIIvkBWllh8rPRmpUGCk";

    // HEADERS DEFAULTS
    public static final String AUTHORIZATION_HEADER = "Authorization";
    public static final String TOKEN_PREFIX = "Bearer ";
    public static final String TOKEN_TYPE = "JWT";
    public static final String TOKEN_ISSUER = "smart-todo-api";
    public static final String TOKEN_AUDIENCE = "smart-todo-app";

    // Wit ait constants
    public static final String TODAY = "today";
    public static final String TOMORROW = "tomorrow";

    public static final String SUNDAY = "sunday";
    public static final String MONDAY = "monday";
    public static final String TUESDAY = "tuesday";
    public static final String WEDNESDAY = "wednesday";
    public static final String THURSDAY = "thursday";
    public static final String FRIDAY = "friday";
    public static final String SATURDAY = "saturday";

    public static final String[] WEEK_DAYS = {MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, SUNDAY};

    public static final String FROM = "from";
    public static final String TILL = "till";
    public static final String BETWEEN = "between";

    public static final String ALL = "all";

}
