package cz.uhk.fim.smarttodo.dto.todo;

import cz.uhk.fim.smarttodo.domain.TodoItem;
import cz.uhk.fim.smarttodo.dto.TodoItemResponseDto;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TodoItemDto {
    private Integer todoId;
    private Integer listId;
    private String name;
    private NestedTodoDto[] nestedTodoItems;
    private TodoItem.TodoType todoType;
    private boolean done;
    private boolean flagged;
    private Date onDate;
    private TodoItemResponseDto.Place place;

    public Integer getTodoId() {
        return todoId;
    }

    public void setTodoId(Integer todoId) {
        this.todoId = todoId;
    }

    public Integer getListId() {
        return listId;
    }

    public void setListId(Integer listId) {
        this.listId = listId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public NestedTodoDto[] getNestedTodoItems() {
        return nestedTodoItems;
    }

    public void setNestedTodoItems(NestedTodoDto[] nestedTodoItems) {
        this.nestedTodoItems = nestedTodoItems;
    }

    public TodoItem.TodoType getTodoType() {
        return todoType;
    }

    public void setTodoType(TodoItem.TodoType todoType) {
        this.todoType = todoType;
    }

    public boolean isDone() {
        return done;
    }

    public void setDone(boolean done) {
        this.done = done;
    }

    public boolean isFlagged() {
        return flagged;
    }

    public void setFlagged(boolean flagged) {
        this.flagged = flagged;
    }

    public Date getOnDate() {
        return onDate;
    }

    public void setOnDate(Date onDate) {
        this.onDate = onDate;
    }

    public TodoItemResponseDto.Place getPlace() {
        return place;
    }

    public void setPlace(TodoItemResponseDto.Place place) {
        this.place = place;
    }

    public static class NestedTodoDto {
        private Integer todoId;
        private String name;

        public Integer getTodoId() {
            return todoId;
        }

        public void setTodoId(Integer todoId) {
            this.todoId = todoId;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }
    }
}
