package cz.uhk.fim.smarttodo.repository;

import cz.uhk.fim.smarttodo.domain.User;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.transaction.annotation.Transactional;

public interface UserRepository extends JpaRepository<User, Integer> {

    @Transactional
    User findByUsername(String username);
    User findByEmail(String email);
}
