// Podle: https://medium.com/js-dojo/how-i-deployed-my-vue-spa-on-heroku-4884fb81d73e

// Server je jen z důvodu deploye na HEROKU
const express = require("express");
const path = require("path");
const serveStatic = require("serve-static");
const history = require("connect-history-api-fallback");
const app = express();
app.use("/", serveStatic(path.join(__dirname, "/dist")));
const staticFileMiddleware = express.static(path.join(__dirname, "/dist"));
app.use(
  history({
    disableDotRule: true,
    verbose: true
  })
);
app.use(staticFileMiddleware);
app.get("/", function(req, res) {
  res.render(path.join(__dirname, "/dist/index.html"));
});
let server = app.listen(process.env.PORT || 8080, function() {
  var port = server.address().port;
  console.log("Port: ", port);
});
