package cz.uhk.fim.smarttodo.dto;

import cz.uhk.fim.smarttodo.domain.TodoItem;

import java.util.Date;
import java.util.List;

public class TodoItemResponseDto {

    private Integer todoId;
    private String name;
    private List<TodoItemResponseDto> nestedTodoItems;
    private TodoItem.TodoType todoType;
    private boolean done;
    private boolean flagged;
    private Date createdOn;
    private Date onDate;
    private Integer listId;
    private Place place;

    public Integer getTodoId() {
        return todoId;
    }

    public void setTodoId(Integer todoId) {
        this.todoId = todoId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<TodoItemResponseDto> getNestedTodoItems() {
        return nestedTodoItems;
    }

    public void setNestedTodoItems(List<TodoItemResponseDto> nestedTodoItems) {
        this.nestedTodoItems = nestedTodoItems;
    }

    public TodoItem.TodoType getTodoType() {
        return todoType;
    }

    public void setTodoType(TodoItem.TodoType todoType) {
        this.todoType = todoType;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public boolean isDone() {
        return done;
    }

    public void setDone(boolean done) {
        this.done = done;
    }

    public boolean isFlagged() {
        return flagged;
    }

    public void setFlagged(boolean flagged) {
        this.flagged = flagged;
    }

    public Date getOnDate() {
        return onDate;
    }

    public void setOnDate(Date onDate) {
        this.onDate = onDate;
    }

    public Integer getListId() {
        return listId;
    }

    public void setListId(Integer listId) {
        this.listId = listId;
    }

    public Place getPlace() {
        return place;
    }

    public void setPlace(Place place) {
        this.place = place;
    }

    public static class Place{
        private double lat;
        private double lng;

        public double getLat() {
            return lat;
        }

        public void setLat(double lat) {
            this.lat = lat;
        }

        public double getLng() {
            return lng;
        }

        public void setLng(double lng) {
            this.lng = lng;
        }
    }
}
